apiVersion: v1
kind: ReplicationController
metadata:
  name: deis-database
  labels:
    app: deis-database
    heritage: deis
spec:
  replicas: 1
  selector:
    app: deis-database
    heritage: deis
  template:
    metadata:
      labels:
        app: deis-database
        heritage: deis
    spec:
      containers:
        - name: deis-database
          image: quay.io/deisci/database:v2-alpha
          env:
            - name: POSTGRES_USER
              value: "deis"
            - name: POSTGRES_PASSWORD
              value: "changeme123"
          ports:
            - containerPort: 5432
          readinessProbe:
            exec:
              command:
                - is_master
